unit About;

(******************************************************************************)
(*                                                                            *)
(* Hermes About Dialog Window                                                 *)
(* Part of Hermes SMTP/POP3 Server.                                           *)
(* Copyright(C) 2000 by Alexander J. Fanti, All Rights Reserver Worldwide.    *)
(*                                                                            *)
(* Created January 19, 2000 by Alexander J. Fanti.  See License.txt           *)
(*                                                                            *)
(* Used by: Main                                                              *)
(* Uses: License                                                              *)
(*                                                                            *)
(* Description: This is an about dialog window to display program name and    *)
(*              version information.  It also displays the copyright and      *)
(*              links to the program web site, the Borland web site, and the  *)
(*              license dialog                                                *)
(*                                                                            *)
(* Revisions: 1/21/2000  AJF  Commented                                       *)
(*                                                                            *)
(******************************************************************************)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, WSocket, Spin, ExtCtrls,
  SmtpAgent, MailRouting;

type
  TfrmAbout = class(TForm)
    Label1: TLabel;
    lblVersion: TLabel;
    lblCopyright: TLabel;
    lblWebSite: TLabel;
    Label2: TLabel;
    lblLicense: TLabel;
    imgBorland: TImage;
    imgHermes: TImage;
    imgAuthor: TImage;
    Memo1: TMemo;
    Label3: TLabel;
    lblMailTo: TLabel;
    procedure lblLicenseClick(Sender: TObject);
    procedure lblWebSiteClick(Sender: TObject);
    procedure imgBorlandClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lblMailToClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

uses License, DataU1, UtilU1;

{$R *.DFM}

procedure TfrmAbout.FormShow(Sender: TObject);
begin
  lblVersion.Caption := 'Version: ' + AppVersion;
  lblWebSite.Caption := AppWebSite;
end;

procedure TfrmAbout.lblLicenseClick(Sender: TObject);
begin
  // Display the License in a window...
  frmLicense.ShowModal;
end;

procedure TfrmAbout.lblWebSiteClick(Sender: TObject);
begin
  // Open the user's web browser to the program URL 
  if not LaunchShellApp(AppWebSite) then
    ShowMessage('Can''t open web browser to ' + AppWebSite);
end;

procedure TfrmAbout.lblMailToClick(Sender: TObject);
begin
  // Open the user's mailer to the Author's EMail Address
  if not LaunchShellApp(AuthorEMail) then
    ShowMessage('Can''t open EMailer to ' + AuthorEMail);
end;

procedure TfrmAbout.imgBorlandClick(Sender: TObject);
begin
  // Open the user's web browser to the borland web site
  if not LaunchShellApp('http://www.borland.com') then
    ShowMessage('Can''t open web browser to http://www.borland.com');
end;

end.
